org.apache.felix.connect.felix.framework.util

## Class ShrinkableMap<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - org.apache.felix.connect.felix.framework.util.ShrinkableMap<K,V>

All Implemented Interfaces:
  Map<K,V>

    public class ShrinkableMap<K,V>
    extends AbstractMap<K,V>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`ShrinkableMap(Map<K,V> delegate)`

### Method Summary

Methods
`Set<Map.Entry<K,V>>` `entrySet()`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShrinkableMap

    public ShrinkableMap(Map<K,V> delegate)

### Method Detail

#### entrySet

    public Set<Map.Entry<K,V>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,V>`
Specified by:
  `entrySet` in class `AbstractMap<K,V>`